// Code generated by protoc-gen-go. DO NOT EDIT.
// source: paymentrequest.proto

package payments

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Generalized form of "send payment to this/these bitcoin addresses"
type Output struct {
	Amount               *uint64  `protobuf:"varint,1,opt,name=amount,def=0" json:"amount,omitempty"`
	Script               []byte   `protobuf:"bytes,2,req,name=script" json:"script,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Output) Reset()         { *m = Output{} }
func (m *Output) String() string { return proto.CompactTextString(m) }
func (*Output) ProtoMessage()    {}
func (*Output) Descriptor() ([]byte, []int) {
	return fileDescriptor_93bd4b10e8ce7317, []int{0}
}

func (m *Output) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Output.Unmarshal(m, b)
}
func (m *Output) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Output.Marshal(b, m, deterministic)
}
func (m *Output) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Output.Merge(m, src)
}
func (m *Output) XXX_Size() int {
	return xxx_messageInfo_Output.Size(m)
}
func (m *Output) XXX_DiscardUnknown() {
	xxx_messageInfo_Output.DiscardUnknown(m)
}

var xxx_messageInfo_Output proto.InternalMessageInfo

const Default_Output_Amount uint64 = 0

func (m *Output) GetAmount() uint64 {
	if m != nil && m.Amount != nil {
		return *m.Amount
	}
	return Default_Output_Amount
}

func (m *Output) GetScript() []byte {
	if m != nil {
		return m.Script
	}
	return nil
}

type PaymentDetails struct {
	Network              *string   `protobuf:"bytes,1,opt,name=network" json:"network,omitempty"`
	Outputs              []*Output `protobuf:"bytes,2,rep,name=outputs" json:"outputs,omitempty"`
	Time                 *uint64   `protobuf:"varint,3,req,name=time" json:"time,omitempty"`
	Expires              *uint64   `protobuf:"varint,4,opt,name=expires" json:"expires,omitempty"`
	Memo                 *string   `protobuf:"bytes,5,opt,name=memo" json:"memo,omitempty"`
	PaymentUrl           *string   `protobuf:"bytes,6,opt,name=payment_url,json=paymentUrl" json:"payment_url,omitempty"`
	MerchantData         []byte    `protobuf:"bytes,7,opt,name=merchant_data,json=merchantData" json:"merchant_data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *PaymentDetails) Reset()         { *m = PaymentDetails{} }
func (m *PaymentDetails) String() string { return proto.CompactTextString(m) }
func (*PaymentDetails) ProtoMessage()    {}
func (*PaymentDetails) Descriptor() ([]byte, []int) {
	return fileDescriptor_93bd4b10e8ce7317, []int{1}
}

func (m *PaymentDetails) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PaymentDetails.Unmarshal(m, b)
}
func (m *PaymentDetails) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PaymentDetails.Marshal(b, m, deterministic)
}
func (m *PaymentDetails) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PaymentDetails.Merge(m, src)
}
func (m *PaymentDetails) XXX_Size() int {
	return xxx_messageInfo_PaymentDetails.Size(m)
}
func (m *PaymentDetails) XXX_DiscardUnknown() {
	xxx_messageInfo_PaymentDetails.DiscardUnknown(m)
}

var xxx_messageInfo_PaymentDetails proto.InternalMessageInfo

func (m *PaymentDetails) GetNetwork() string {
	if m != nil && m.Network != nil {
		return *m.Network
	}
	return ""
}

func (m *PaymentDetails) GetOutputs() []*Output {
	if m != nil {
		return m.Outputs
	}
	return nil
}

func (m *PaymentDetails) GetTime() uint64 {
	if m != nil && m.Time != nil {
		return *m.Time
	}
	return 0
}

func (m *PaymentDetails) GetExpires() uint64 {
	if m != nil && m.Expires != nil {
		return *m.Expires
	}
	return 0
}

func (m *PaymentDetails) GetMemo() string {
	if m != nil && m.Memo != nil {
		return *m.Memo
	}
	return ""
}

func (m *PaymentDetails) GetPaymentUrl() string {
	if m != nil && m.PaymentUrl != nil {
		return *m.PaymentUrl
	}
	return ""
}

func (m *PaymentDetails) GetMerchantData() []byte {
	if m != nil {
		return m.MerchantData
	}
	return nil
}

type PaymentRequest struct {
	PaymentDetailsVersion    *uint32  `protobuf:"varint,1,opt,name=payment_details_version,json=paymentDetailsVersion,def=1" json:"payment_details_version,omitempty"`
	PkiType                  *string  `protobuf:"bytes,2,opt,name=pki_type,json=pkiType,def=none" json:"pki_type,omitempty"`
	PkiData                  []byte   `protobuf:"bytes,3,opt,name=pki_data,json=pkiData" json:"pki_data,omitempty"`
	SerializedPaymentDetails []byte   `protobuf:"bytes,4,req,name=serialized_payment_details,json=serializedPaymentDetails" json:"serialized_payment_details,omitempty"`
	Signature                []byte   `protobuf:"bytes,5,opt,name=signature" json:"signature,omitempty"`
	XXX_NoUnkeyedLiteral     struct{} `json:"-"`
	XXX_unrecognized         []byte   `json:"-"`
	XXX_sizecache            int32    `json:"-"`
}

func (m *PaymentRequest) Reset()         { *m = PaymentRequest{} }
func (m *PaymentRequest) String() string { return proto.CompactTextString(m) }
func (*PaymentRequest) ProtoMessage()    {}
func (*PaymentRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_93bd4b10e8ce7317, []int{2}
}

func (m *PaymentRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PaymentRequest.Unmarshal(m, b)
}
func (m *PaymentRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PaymentRequest.Marshal(b, m, deterministic)
}
func (m *PaymentRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PaymentRequest.Merge(m, src)
}
func (m *PaymentRequest) XXX_Size() int {
	return xxx_messageInfo_PaymentRequest.Size(m)
}
func (m *PaymentRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_PaymentRequest.DiscardUnknown(m)
}

var xxx_messageInfo_PaymentRequest proto.InternalMessageInfo

const Default_PaymentRequest_PaymentDetailsVersion uint32 = 1
const Default_PaymentRequest_PkiType string = "none"

func (m *PaymentRequest) GetPaymentDetailsVersion() uint32 {
	if m != nil && m.PaymentDetailsVersion != nil {
		return *m.PaymentDetailsVersion
	}
	return Default_PaymentRequest_PaymentDetailsVersion
}

func (m *PaymentRequest) GetPkiType() string {
	if m != nil && m.PkiType != nil {
		return *m.PkiType
	}
	return Default_PaymentRequest_PkiType
}

func (m *PaymentRequest) GetPkiData() []byte {
	if m != nil {
		return m.PkiData
	}
	return nil
}

func (m *PaymentRequest) GetSerializedPaymentDetails() []byte {
	if m != nil {
		return m.SerializedPaymentDetails
	}
	return nil
}

func (m *PaymentRequest) GetSignature() []byte {
	if m != nil {
		return m.Signature
	}
	return nil
}

type X509Certificates struct {
	Certificate          [][]byte `protobuf:"bytes,1,rep,name=certificate" json:"certificate,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *X509Certificates) Reset()         { *m = X509Certificates{} }
func (m *X509Certificates) String() string { return proto.CompactTextString(m) }
func (*X509Certificates) ProtoMessage()    {}
func (*X509Certificates) Descriptor() ([]byte, []int) {
	return fileDescriptor_93bd4b10e8ce7317, []int{3}
}

func (m *X509Certificates) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_X509Certificates.Unmarshal(m, b)
}
func (m *X509Certificates) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_X509Certificates.Marshal(b, m, deterministic)
}
func (m *X509Certificates) XXX_Merge(src proto.Message) {
	xxx_messageInfo_X509Certificates.Merge(m, src)
}
func (m *X509Certificates) XXX_Size() int {
	return xxx_messageInfo_X509Certificates.Size(m)
}
func (m *X509Certificates) XXX_DiscardUnknown() {
	xxx_messageInfo_X509Certificates.DiscardUnknown(m)
}

var xxx_messageInfo_X509Certificates proto.InternalMessageInfo

func (m *X509Certificates) GetCertificate() [][]byte {
	if m != nil {
		return m.Certificate
	}
	return nil
}

type Payment struct {
	MerchantData         []byte    `protobuf:"bytes,1,opt,name=merchant_data,json=merchantData" json:"merchant_data,omitempty"`
	Transactions         [][]byte  `protobuf:"bytes,2,rep,name=transactions" json:"transactions,omitempty"`
	RefundTo             []*Output `protobuf:"bytes,3,rep,name=refund_to,json=refundTo" json:"refund_to,omitempty"`
	Memo                 *string   `protobuf:"bytes,4,opt,name=memo" json:"memo,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *Payment) Reset()         { *m = Payment{} }
func (m *Payment) String() string { return proto.CompactTextString(m) }
func (*Payment) ProtoMessage()    {}
func (*Payment) Descriptor() ([]byte, []int) {
	return fileDescriptor_93bd4b10e8ce7317, []int{4}
}

func (m *Payment) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Payment.Unmarshal(m, b)
}
func (m *Payment) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Payment.Marshal(b, m, deterministic)
}
func (m *Payment) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Payment.Merge(m, src)
}
func (m *Payment) XXX_Size() int {
	return xxx_messageInfo_Payment.Size(m)
}
func (m *Payment) XXX_DiscardUnknown() {
	xxx_messageInfo_Payment.DiscardUnknown(m)
}

var xxx_messageInfo_Payment proto.InternalMessageInfo

func (m *Payment) GetMerchantData() []byte {
	if m != nil {
		return m.MerchantData
	}
	return nil
}

func (m *Payment) GetTransactions() [][]byte {
	if m != nil {
		return m.Transactions
	}
	return nil
}

func (m *Payment) GetRefundTo() []*Output {
	if m != nil {
		return m.RefundTo
	}
	return nil
}

func (m *Payment) GetMemo() string {
	if m != nil && m.Memo != nil {
		return *m.Memo
	}
	return ""
}

type PaymentACK struct {
	Payment              *Payment `protobuf:"bytes,1,req,name=payment" json:"payment,omitempty"`
	Memo                 *string  `protobuf:"bytes,2,opt,name=memo" json:"memo,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PaymentACK) Reset()         { *m = PaymentACK{} }
func (m *PaymentACK) String() string { return proto.CompactTextString(m) }
func (*PaymentACK) ProtoMessage()    {}
func (*PaymentACK) Descriptor() ([]byte, []int) {
	return fileDescriptor_93bd4b10e8ce7317, []int{5}
}

func (m *PaymentACK) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PaymentACK.Unmarshal(m, b)
}
func (m *PaymentACK) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PaymentACK.Marshal(b, m, deterministic)
}
func (m *PaymentACK) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PaymentACK.Merge(m, src)
}
func (m *PaymentACK) XXX_Size() int {
	return xxx_messageInfo_PaymentACK.Size(m)
}
func (m *PaymentACK) XXX_DiscardUnknown() {
	xxx_messageInfo_PaymentACK.DiscardUnknown(m)
}

var xxx_messageInfo_PaymentACK proto.InternalMessageInfo

func (m *PaymentACK) GetPayment() *Payment {
	if m != nil {
		return m.Payment
	}
	return nil
}

func (m *PaymentACK) GetMemo() string {
	if m != nil && m.Memo != nil {
		return *m.Memo
	}
	return ""
}

func init() {
	proto.RegisterType((*Output)(nil), "payments.Output")
	proto.RegisterType((*PaymentDetails)(nil), "payments.PaymentDetails")
	proto.RegisterType((*PaymentRequest)(nil), "payments.PaymentRequest")
	proto.RegisterType((*X509Certificates)(nil), "payments.X509Certificates")
	proto.RegisterType((*Payment)(nil), "payments.Payment")
	proto.RegisterType((*PaymentACK)(nil), "payments.PaymentACK")
}

func init() { proto.RegisterFile("paymentrequest.proto", fileDescriptor_93bd4b10e8ce7317) }

var fileDescriptor_93bd4b10e8ce7317 = []byte{
	// 495 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x53, 0x4f, 0x6f, 0xd4, 0x3e,
	0x10, 0x55, 0xb2, 0xf9, 0x6d, 0x76, 0x67, 0xd3, 0x9f, 0x8a, 0xc5, 0x1f, 0x17, 0x21, 0x1a, 0x85,
	0x4b, 0x04, 0x62, 0x55, 0x2a, 0x38, 0x74, 0xe1, 0x42, 0xdb, 0x1b, 0x42, 0x54, 0x56, 0x41, 0xdc,
	0x22, 0x93, 0x75, 0x8b, 0xb5, 0x1b, 0xdb, 0xd8, 0x13, 0x60, 0xf9, 0x1e, 0x7c, 0x3d, 0x2e, 0x7c,
	0x11, 0x14, 0x27, 0xd9, 0xd0, 0x56, 0xdc, 0x3c, 0xcf, 0x2f, 0x6f, 0xde, 0xcc, 0x73, 0xe0, 0xb6,
	0xe1, 0x9b, 0x4a, 0x28, 0xb4, 0xe2, 0x4b, 0x2d, 0x1c, 0xce, 0x8d, 0xd5, 0xa8, 0xc9, 0xa4, 0x43,
	0x5d, 0xf6, 0x12, 0xc6, 0xef, 0x6a, 0x34, 0x35, 0x92, 0x3d, 0x18, 0xf3, 0x4a, 0xd7, 0x0a, 0x69,
	0x90, 0x06, 0x79, 0xb4, 0x08, 0x0e, 0x58, 0x07, 0x90, 0xbb, 0x30, 0x76, 0xa5, 0x95, 0x06, 0x69,
	0x98, 0x86, 0x79, 0xc2, 0xba, 0x2a, 0xfb, 0x15, 0xc0, 0xff, 0x67, 0xad, 0xd2, 0xa9, 0x40, 0x2e,
	0xd7, 0x8e, 0x50, 0x88, 0x95, 0xc0, 0x6f, 0xda, 0xae, 0xbc, 0xcc, 0x94, 0xf5, 0x25, 0x79, 0x0c,
	0xb1, 0xf6, 0x9d, 0x1c, 0x0d, 0xd3, 0x51, 0x3e, 0x3b, 0xdc, 0x9d, 0xf7, 0x2e, 0xe6, 0xad, 0x05,
	0xd6, 0x13, 0x08, 0x81, 0x08, 0x65, 0x25, 0xe8, 0x28, 0x0d, 0xf3, 0x88, 0xf9, 0x73, 0xa3, 0x2c,
	0xbe, 0x1b, 0x69, 0x85, 0xa3, 0x51, 0x63, 0x90, 0xf5, 0x65, 0xc3, 0xae, 0x44, 0xa5, 0xe9, 0x7f,
	0xbe, 0xa1, 0x3f, 0x93, 0x7d, 0x98, 0x75, 0xea, 0x45, 0x6d, 0xd7, 0x74, 0xec, 0xaf, 0xa0, 0x83,
	0xde, 0xdb, 0x35, 0x79, 0x04, 0x3b, 0x95, 0xb0, 0xe5, 0x67, 0xae, 0xb0, 0x58, 0x72, 0xe4, 0x34,
	0x4e, 0x83, 0x3c, 0x61, 0x49, 0x0f, 0x9e, 0x72, 0xe4, 0xd9, 0xef, 0x61, 0x40, 0xd6, 0x2e, 0x90,
	0x1c, 0xc1, 0xbd, 0x5e, 0x78, 0xd9, 0xce, 0x5c, 0x7c, 0x15, 0xd6, 0x49, 0xad, 0xfc, 0xc0, 0x3b,
	0x8b, 0xe0, 0x19, 0xbb, 0x63, 0xae, 0x2c, 0xe5, 0x43, 0x7b, 0x4f, 0xf6, 0x61, 0x62, 0x56, 0xb2,
	0xc0, 0x8d, 0x11, 0x34, 0x6c, 0x0c, 0x2d, 0x22, 0xa5, 0x95, 0x60, 0xb1, 0x59, 0xc9, 0xf3, 0x8d,
	0x11, 0x64, 0xaf, 0x25, 0x78, 0x3b, 0x23, 0x6f, 0xa7, 0xb9, 0x6a, 0x9c, 0x90, 0x57, 0x70, 0xdf,
	0x09, 0x2b, 0xf9, 0x5a, 0xfe, 0x10, 0xcb, 0xe2, 0x9a, 0x03, 0x1a, 0xf9, 0x58, 0xe8, 0xc0, 0xb8,
	0x96, 0xca, 0x03, 0x98, 0x3a, 0x79, 0xa9, 0x38, 0xd6, 0x56, 0xf8, 0x35, 0x25, 0x6c, 0x00, 0xb2,
	0xe7, 0xb0, 0xfb, 0xf1, 0xc5, 0xc1, 0xd1, 0x89, 0xb0, 0x28, 0x2f, 0x64, 0xc9, 0x51, 0x38, 0x92,
	0xc2, 0xac, 0x1c, 0x6a, 0x1a, 0xa4, 0xa3, 0x3c, 0x61, 0x7f, 0x43, 0xd9, 0xcf, 0x00, 0xe2, 0xae,
	0xcd, 0xcd, 0x65, 0x06, 0x37, 0x97, 0x49, 0x32, 0x48, 0xd0, 0x72, 0xe5, 0x78, 0x89, 0x52, 0xab,
	0xf6, 0x15, 0x24, 0xec, 0x0a, 0x46, 0x9e, 0xc2, 0xd4, 0x8a, 0x8b, 0x5a, 0x2d, 0x0b, 0xd4, 0x74,
	0xf4, 0x8f, 0x67, 0x32, 0x69, 0x29, 0xe7, 0x7a, 0x9b, 0x7c, 0x34, 0x24, 0x9f, 0xbd, 0x05, 0xe8,
	0x6c, 0xbd, 0x3e, 0x79, 0x43, 0x9e, 0x40, 0xdc, 0x7d, 0x4e, 0x83, 0x34, 0xcc, 0x67, 0x87, 0xb7,
	0x06, 0xb9, 0x3e, 0xd9, 0x9e, 0xb1, 0x95, 0x0b, 0x07, 0xb9, 0xe3, 0x1c, 0x1e, 0x6a, 0x7b, 0x39,
	0xff, 0x24, 0xb1, 0xd4, 0x52, 0xb5, 0xff, 0x4f, 0xa9, 0xd7, 0x6e, 0x2b, 0x73, 0x3c, 0x3e, 0x6b,
	0x30, 0xf7, 0x27, 0x00, 0x00, 0xff, 0xff, 0xc1, 0x13, 0x0d, 0x28, 0x6b, 0x03, 0x00, 0x00,
}
